List my deposits
curl --request GET \
--url https://prod-api.stableyard.fi/v2/client/me/deposits \
--header 'Authorization: Bearer <token>'import requests
url = "https://prod-api.stableyard.fi/v2/client/me/deposits"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://prod-api.stableyard.fi/v2/client/me/deposits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"accountId": "acct_123",
"deposits": [
{
"id": "deposit_123",
"accountId": "acct_123",
"depositAddressId": "deposit_addr_123",
"status": "detected",
"amount": {
"asset": {
"chainId": 42161,
"tokenAddress": "0xaf88d065e77c8cC2239327C5EDb3A432268e5831",
"symbol": "USDC",
"decimals": 6,
"kind": "token"
},
"amount": "1250000"
},
"sourceTransfer": {
"amount": {
"asset": {
"chainId": 42161,
"tokenAddress": "0xaf88d065e77c8cC2239327C5EDb3A432268e5831",
"symbol": "USDC",
"decimals": 6,
"kind": "token"
},
"amount": "1250000"
},
"txHash": null,
"logIndex": null,
"fromAddress": null
},
"fees": {
"partnerAmountAtomic": "1000000",
"platformAmountAtomic": "1000000",
"networkAmountAtomic": "1000000",
"setupAmountAtomic": "1000000",
"denomination": {
"chainId": 42161,
"tokenAddress": "0xaf88d065e77c8cC2239327C5EDb3A432268e5831",
"symbol": "USDC",
"decimals": 6,
"kind": "token"
},
"basis": "source_amount",
"actualReceivedAmountAtomic": null
},
"settlement": {
"status": "pending",
"txHash": null,
"settledAt": null,
"reasonCode": "Requested by partner"
},
"settlementProfileSnapshot": {},
"txHash": "0xabc123..."
}
],
"nextCursor": "cursor_123"
}{
"error": {
"code": "bad_request",
"message": "The request is invalid",
"details": "example"
}
}{
"error": {
"code": "bad_request",
"message": "The request is invalid",
"details": "example"
}
}Client deposits
List the client account's deposits
List deposit and settlement state for the account fixed by the client token.
GET
/
v2
/
client
/
me
/
deposits
List my deposits
Returns deposit and settlement state for the account fixed by the client bearer token. Filter by
status and page with limit (up to 100) and cursor.Authorizations
Short-lived account-bound token returned by POST /v2/client/auth/exchange.
Query Parameters
Available options:
detected, confirming, settling, settled, reversed, failed, ignored, requires_intervention Required range:
1 <= x <= 100Opaque cursor returned as nextCursor by the previous page.